Subject: Re: bug#44769: [staging] gst-plugins-bad fails tests on aarch64, armhf, i686

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 23 Nov 2020 10:17:56 +0100

Guillaume Le Vaillant <[email-masked]> skribis:

> Marius Bakke <[email-masked]> skribis:
>
>> Hello Guix,
>>
>> gst-plugins-bad fails its test suite on anything other than x86_64-linux.
>>
>> Upstream issues:
>>
>>   i686: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1463
>>   aarch64: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1464
>>
>> (I believe the i686 issue affects armhf too)
>>
>> This issue is currently holding up merging of 'staging' because
>> gst-plugins-bad is a dependency of 'cheese', which is a dependency of
>> 'gnome'.
>>
>> To move on with the merge, I wonder whether to:
>>
>> 1. Disable the affected tests, as upstream does not seem terribly
>>    concerned.
>> 2. Drop 'cheese' from 'gnome'.
>>
>> I'm leaning towards 2, as the AArch64 failure looks kind of serious.
>> Unfortunately 'cheese' does seem to require gst-plugins-bad.
>>
>> Thoughts?
>
> Hi,
>
> I tested a few programs on 'staging' on x86-64 and I got some GStreamer
> related issues. However I don't know if there is a link with the failing
> tests on other architectures.
>
> I wasn't able to play anything with the 'gst-play-1.0' program. It
> always errors out with the message:
> "Failed to create 'playbin' element. Check your GStreamer installation."
>
> The 'clementine' program crashes because of a segmentation fault inside
> a GStreamer function when trying to play a music file.
>
> [...]
>
> Can someone reproduce these issues?

Hi,

After trying to find where the problem could come from, GStreamer
started working fine again, but I'm not sure why. I suspect there was
some bad local state in my user environment that I reset while hacking
around, or something like that...

Anyway, concerning 'cheese', I think not installing it by default with
Gnome would not be a problem. It's not an essential core component of
Gnome and users who want it will still be able to install it trivially.